python-faraday (5.17.0-0kali2) kali-dev; urgency=medium

  * Add missing dep python3-setuptools

 -- Sophie Brun <sophie@kali.org>  Wed, 08 Oct 2025 17:52:26 +0200

python-faraday (5.17.0-0kali1) kali-dev; urgency=medium

  * New upstream version 5.17.0
  * Update my email
  * Refresh patches
  * Add missing redis-server
  * Add alembic version 1.13.2

 -- Sophie Brun <sophie@kali.org>  Wed, 08 Oct 2025 15:43:09 +0200

python-faraday (5.16.0-0kali1) kali-dev; urgency=medium

  * New upstream version 5.16.0
  * Update minimal required versions
  * Refresh patches

 -- Sophie Brun <sophie@kali.org>  Thu, 28 Aug 2025 17:11:05 +0200

python-faraday (5.15.3-0kali1) kali-dev; urgency=medium

  * New upstream version 5.15.3
  * Refresh patches

 -- Sophie Brun <sophie@kali.org>  Thu, 07 Aug 2025 14:56:48 +0200

python-faraday (5.14.1-0kali1) kali-dev; urgency=medium

  * New upstream version 5.14.1
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 05 Jun 2025 11:56:18 +0200

python-faraday (5.14.0-0kali1) kali-dev; urgency=medium

  * New upstream version 5.14.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 20 May 2025 12:00:48 +0200

python-faraday (5.13.0-0kali1) kali-dev; urgency=medium

  * New upstream version 5.13.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 25 Apr 2025 14:26:49 +0200

python-faraday (5.12.0-0kali1) kali-dev; urgency=medium

  * New upstream version 5.12.0
  * Refresh patches
  * Update minimal required version of python3-faraday-plugins

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 20 Mar 2025 09:53:01 +0100

python-faraday (5.11.0-0kali1) kali-dev; urgency=medium

  * New upstream version 5.11.0
  * Update debian/copyright
  * Refresh patches
  * Add dep on python3-standard-imghdr

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 31 Jan 2025 16:00:14 +0100

python-faraday (5.10.1-0kali1) kali-dev; urgency=medium

  * New upstream version 5.10.1

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 15 Jan 2025 15:05:11 +0100

python-faraday (5.10.0-0kali1) kali-dev; urgency=medium

  * New upstream version 5.10.0
  * Refresh patches
  * Remove Workaround-for-eventlet-trio-issue.patch
  * Bump Standards-Version to 4.7.0

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 07 Jan 2025 14:51:03 +0100

python-faraday (5.9.0-0kali1) kali-dev; urgency=medium

  * New upstream version 5.9.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 27 Nov 2024 10:05:57 +0100

python-faraday (5.8.0-0kali1) kali-dev; urgency=medium

  * New upstream version 5.8.0
  * Refresh patches
  * Update minimal versions of build-deps and deps

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 29 Oct 2024 11:37:05 +0100

python-faraday (5.7.0-0kali1) kali-dev; urgency=medium

  * New upstream version 5.7.0
  * Refresh patches
  * Update minimal versions of faraday-plugins and faraday-agent-parameters-types

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 26 Sep 2024 15:02:03 +0200

python-faraday (5.6.1-0kali1) kali-dev; urgency=medium

  * New upstream version 5.6.1
  * Update minimal required version of python3-faraday-plugins
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 06 Sep 2024 11:50:49 +0200

python-faraday (5.6.0-0kali1) kali-dev; urgency=medium

  * New upstream version 5.6.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 26 Aug 2024 15:46:01 +0200

python-faraday (5.5.0-0kali1) kali-dev; urgency=medium

  * New upstream version 5.5.0
  * Add dependency python3-croniter
  * Refresh eventlet/trio patch

 -- Arnaud Rebillout <arnaudr@kali.org>  Sun, 18 Aug 2024 17:17:28 +0700

python-faraday (5.4.1-0kali2) kali-rolling; urgency=medium

  * Rework patch for eventlet/trio issue
  * Try to upload directly in kali-rolling

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 16 Aug 2024 14:11:07 +0700

python-faraday (5.4.1-0kali1) kali-dev; urgency=medium

  * Remove obsolete deps python3-distutils
  * New upstream version 5.4.1
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 06 Aug 2024 11:03:02 +0200

python-faraday (5.3.0-0kali1) kali-dev; urgency=medium

  * New upstream version 5.3.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 27 May 2024 14:50:24 +0200

python-faraday (5.2.2-0kali1) kali-dev; urgency=medium

  * New upstream version 5.2.2

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 18 Apr 2024 14:45:22 +0200

python-faraday (5.2.1-0kali1) kali-dev; urgency=medium

  * New upstream version 5.2.1
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 26 Mar 2024 17:47:34 +0100

python-faraday (5.2.0-0kali1) kali-dev; urgency=medium

  * New upstream version 5.2.0
  * Update minimal required versions
  * Remove link debian/vendor/werkzeug/debug/shared/jquery.js

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 15 Mar 2024 11:32:45 +0100

python-faraday (5.1.1-0kali4) kali-dev; urgency=medium

  * Fix AttributeError issue (select / epoll)

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 21 Feb 2024 14:32:57 +0100

python-faraday (5.1.1-0kali3) kali-dev; urgency=medium

  * Use embedded werkzeug (we need a version < 3.*)

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 19 Feb 2024 15:55:22 +0100

python-faraday (5.1.1-0kali2) kali-dev; urgency=medium

  * Add a patch to add a workaround for eventlet issue

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 16 Feb 2024 10:52:29 +0100

python-faraday (5.1.1-0kali1) kali-dev; urgency=medium

  * New upstream version 5.1.1
  * Update minimal required versions

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 12 Feb 2024 16:31:08 +0100

python-faraday (5.1.0-0kali1) kali-dev; urgency=medium

  * New upstream version 5.1.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 09 Feb 2024 11:28:16 +0100

python-faraday (5.0.1-0kali1) kali-dev; urgency=medium

  * New upstream version 5.0.1
  * Refresh patches
  * Update build-deps
  * Add missing python3-flask-celery-helper
  * Fix add missing python3-flask-celery-helper
  * Refresh patches
  * Add a service faraday-worker
  * Use sudo to migrate the database
  * Use flask <= 2.1.3
  * Add vendor in path
  * add 2 patches
  * Regroup patches

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 19 Jan 2024 15:10:28 +0100

python-faraday (4.6.2-0kali1) kali-dev; urgency=medium

  * New upstream version 4.6.2
  * Update required version of python3-faraday-plugins

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 15 Nov 2023 10:52:49 +0100

python-faraday (4.6.1-0kali1) kali-dev; urgency=medium

  * New upstream version 4.6.1
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 20 Oct 2023 17:29:50 +0200

python-faraday (4.6.0-0kali1) kali-dev; urgency=medium

  * New upstream version 4.6.0
  * Update minimal required version of faraday-plugins

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 07 Sep 2023 15:39:35 +0200

python-faraday (4.5.1-0kali1) kali-dev; urgency=medium

  * New upstream version 4.5.1
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 19 Jul 2023 09:16:58 +0200

python-faraday (4.4.0-0kali2) kali-dev; urgency=medium

  * Refresh patches
  * Embed flask_security 4.0.0

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 11 Jul 2023 14:48:37 +0200

python-faraday (4.4.0-0kali1) kali-dev; urgency=medium

  * New upstream version 4.4.0

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 02 Jun 2023 14:45:28 +0200

python-faraday (4.3.5-0kali1) kali-dev; urgency=medium

  * New upstream version 4.3.5
  * Refresh patches
  * Add minimal required version of python3-filteralchemy

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 18 Apr 2023 11:33:48 +0200

python-faraday (4.3.3-0kali1) kali-dev; urgency=medium

  * New upstream version 4.3.3
  * Refresh patches
  * d/control: Add python3-flaskext.wtf and update required versions

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 17 Feb 2023 09:53:04 +0100

python-faraday (4.3.2-0kali3) kali-dev; urgency=medium

  * Revert "Add old version of flask_security (patched version 4.0.0-1kali1)"

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 31 Jan 2023 16:58:18 +0100

python-faraday (4.3.2-0kali2) kali-dev; urgency=medium

  * Remove python3-flask-session from build-dep
  * Fix dependency: python3-psycopg2 is required not python3-psycopg3
  * Fix for flask-wtf >=1.1.1
  * Add old version of flask_security (patched version 4.0.0-1kali1)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 31 Jan 2023 08:36:35 +0100

python-faraday (4.3.2-0kali1) kali-dev; urgency=medium

  * New upstream version 4.3.2
  * Refresh patches
  * Add a patch for flask-limiter >=3.0.0

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 10 Jan 2023 18:05:48 +0100

python-faraday (4.3.1-0kali1) kali-dev; urgency=medium

  * New upstream version 4.3.1
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 19 Dec 2022 15:01:19 +0100

python-faraday (4.3.0-0kali2) kali-dev; urgency=medium

  * Use current package python3-flask-login
  * Remove restrictions of flask versions
  * Add version 2.5.1 of flask-sqlalchemy
  * Remove restrictions of versions

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 15 Dec 2022 17:59:09 +0100

python-faraday (4.3.0-0kali1) kali-dev; urgency=medium

  * New upstream version 4.3.0
  * Refresh patches
  * Import upstream patch flask_login for werkzeug >=2.2
  * Update minimal required versions

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 07 Dec 2022 10:17:02 +0100

python-faraday (4.2.0-0kali2) kali-dev; urgency=medium

  * Use packaged python3-itsdangerous (see
    https://github.com/infobyte/faraday/issues/446)

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 14 Nov 2022 15:53:46 +0100

python-faraday (4.2.0-0kali1) kali-dev; urgency=medium

  * New upstream version 4.2.0
  * Refresh patches
  * Remove testing suite of embedded sqlalchemy + add old flask_login
  * Use old flaks_login version 0.5.0
  * Update lintian-overrides
  * Bump Standards-Version to 4.6.1 (no changes)
  * Update debian/copyright
  * Update minimal required version of python3-faraday-plugins

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 08 Nov 2022 09:34:20 +0100

python-faraday (4.1.0-0kali2) kali-dev; urgency=medium

  * Add missing dep python3-psycopg3

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 28 Sep 2022 08:23:16 +0200

python-faraday (4.1.0-0kali1) kali-dev; urgency=medium

  * New upstream version 4.1.0
  * Refresh patches
  * Add missing python3-cvss
  * Update minimal required version of python3-faraday-plugins
  * Update debian/copyright
  * Udpate upstream/metadata
  * Remove useless include-binaries

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 27 Sep 2022 11:56:16 +0200

python-faraday (4.0.4+git20220701-0kali2) kali-dev; urgency=medium

  * Do not run "change password". The installer generates a passowrd at first
    run.

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 03 Aug 2022 17:40:22 +0200

python-faraday (4.0.4+git20220701-0kali1) kali-dev; urgency=medium

  * New upstream version 4.0.4+git20220701
  * faraday now includes frontend: change deps accordingly
  * Fix installation of frontend

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 02 Aug 2022 13:49:18 +0200

python-faraday (4.0.4-0kali1) kali-dev; urgency=medium

  * New upstream version 4.0.4
  * Add missing build-depends python3-jwt
  * Refresh patches
  * Update minimal versions requirements
  * Update Recommends field:
    - replace obsolete faraday-client with faraday-cli
    - add faraday-agent-dispatcher
  * Remove obsolete docs build
  * Disable 3 other tests

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 29 Jul 2022 15:40:33 +0200

python-faraday (3.19.0-0kali3) kali-dev; urgency=medium

  * Remove python3-selenium as it's not longer used

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 21 Jun 2022 18:31:30 +0200

python-faraday (3.19.0-0kali2) kali-dev; urgency=medium

  * Add embedded itsdangerous

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 13 Apr 2022 17:26:50 +0200

python-faraday (3.19.0-0kali1) kali-dev; urgency=medium

  * New upstream version 3.19.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 11 Jan 2022 11:47:42 +0100

python-faraday (3.18.1-0kali3) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Consistency with tabs to spaces
  * Remove template comment and switch spaces to tabs

  [ Sophie Brun ]
  * Embed sqlalchemy version 1.3.22. Revert when
    https://github.com/infobyte/faraday/issues/441 is fixed.

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 07 Dec 2021 17:02:19 +0100

python-faraday (3.18.1-0kali2) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Add executable to helper-script
  * New helper-script format

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 18 Nov 2021 11:17:24 +0100

python-faraday (3.18.1-0kali1) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Update email address
  * README.Debian consistency

  [ Sophie Brun ]
  * New upstream version 3.18.1

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 16 Nov 2021 14:12:57 +0100

python-faraday (3.17.1-0kali2) kali-dev; urgency=medium

  * Update deps and build-deps:
    - Add missing python3-distutils dependency
    - Add minimal required version of python3-mockito

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 04 Nov 2021 09:55:30 +0100

python-faraday (3.17.1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.17.1

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 23 Aug 2021 10:29:46 +0200

python-faraday (3.17.0-0kali1) kali-dev; urgency=medium

  * New upstream version 3.17.0
  * Refresh patches
  * Add missing depends on python3-flask-socketio
  * Upgrade minimal version of python3-marshmallow-sqlalchemy
  * Add a patch to fix an issue on first run

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 11 Aug 2021 10:11:49 +0200

python-faraday (3.16.0-0kali1) kali-dev; urgency=medium

  * New upstream version 3.16.0
  * Refresh patches
  * Add Build-dep python3-faraday-agent-parameters-types

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 30 Jun 2021 11:29:31 +0200

python-faraday (3.15.0-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Set upstream metadata fields: Description.

  [ Sophie Brun ]
  * New upstream version 3.15.0
  * Refresh patches
  * Add mising build-dep python3-bleach
  * Use Debian python3-flask-security
  * Change default path of server/www
  * Add Conflicts: python3-flask-babelex. It was installed by previous
    versions but it makes new python3-flask-security v4.0.0 fails because it's
    not initialized. (no other reverse depends so I added a Conflicts)

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 20 May 2021 10:22:20 +0200

python-faraday (3.14.4-0kali1) kali-dev; urgency=medium

  * New upstream version 3.14.4
  * Update minimal require version of python3-faraday-plugins

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 19 Apr 2021 12:09:59 +0200

python-faraday (3.14.3-0kali1) kali-dev; urgency=medium

  * kali-ci.yml: disable i386 build
  * New upstream version 3.14.3
  * Refresh patches
  * Update for new release
  * Remove useless fplugin.1 manpage
  * Update build-dependencies

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 31 Mar 2021 08:53:14 +0200

python-faraday (3.14.2-0kali1) kali-dev; urgency=medium

  * New upstream version 3.14.2
  * Update minimal require version of python3-faraday-plugins

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 02 Mar 2021 09:43:42 +0100

python-faraday (3.14.1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.14.1
  * Refresh patches
  * debian/watch: use version 4
  * Bump Standards-Version to 4.5.1 (no changes)
  * Disable 3 more tests
  * Update flask-security to 3.4.5
  * Remove useless debian/python-faraday.lintian-overrides

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 22 Feb 2021 11:09:32 +0100

python-faraday (3.14.0-0kali2) kali-dev; urgency=medium

  * Embeds the previous version of flask_security
  * Fix for pytest 6
  * Ignore failing tests (they were not run in 3.14.0-0kali1)
  * Add autopkgtest

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 12 Feb 2021 11:35:13 +0100

python-faraday (3.14.0-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Wrap long lines in changelog entries: 3.12-0kali1.
  * Set upstream metadata fields: Security-Contact.

  [ Sophie Brun ]
  * New upstream version 3.14.0
  * Refresh patches
  * Add missing build-deps: python3-apispec*
  * Update minimal required version of python3-webargs
  * Don't run tests with nplusone
  * Update debian/py3dist-overrides to include flask_security
  * Add a ptch to fix flask-security requirement

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 06 Jan 2021 10:11:09 +0100

python-faraday (3.12-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Trim trailing whitespace.
  * Move transitional package python-faraday to oldlibs/optional per policy
    4.0.1.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Sophie Brun ]
  * New upstream version 3.12
  * Build-dep: remove python3-flask-restless
  * Refresh patches
  * Remove failing tests

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 10 Sep 2020 11:13:29 +0200

python-faraday (3.11.1-0kali3) kali-dev; urgency=medium

  * Try to run migrate-database in postinst only if it's an upgrade of
    faraday, it requires postgresql service. We can't use systemd in
    debian-installer.

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 18 Jun 2020 11:46:06 +0200

python-faraday (3.11.1-0kali2) kali-dev; urgency=medium

  * Remove useless step in helper-script faraday

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 11 Jun 2020 10:39:26 +0200

python-faraday (3.11.1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.11.1
  * Refresh patches
  * Fix manpage to remove no-deps option
  * Update minimal required versions in depends and remove useless build-deps
  * Refresh patches
  * Add pgcli in dependency
  * Remove faraday-client usage and manpage
  * Add a debian/py3dist-overrides to generate the Python deps
  * Update helper-script and faraday.service
  * Update information for new version
  * Use embedded glyphicon (display issue with Debian package)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 09 Jun 2020 14:18:10 +0200

python-faraday (3.10.2-0kali1) kali-dev; urgency=medium

  * New upstream version 3.10.2
  * Refresh patches
  * Update minimal required versions

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 04 Feb 2020 15:30:32 +0100

python-faraday (3.10.0-0kali1) kali-dev; urgency=medium

  * New upstream version 3.10.0
  * Refresh patches
  * Switch to Python 3
  * Add missing depends python3-faraday-plugins
  * Rename package to faraday: python-faraday name is not compatible with
    pybuild and python3
  * Add a patch to remove privacy-breach
  * Remove useless python3-gobject
  * Add a patch to switch from psycopg2-binary to psycopg2
  * Update postint to always run our script migrate-database

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 30 Dec 2019 10:49:16 +0100

python-faraday (3.9.3-0kali1) kali-dev; urgency=medium

  * New upstream version 3.9.3

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 18 Nov 2019 13:56:37 +0100

python-faraday (3.9.2-0kali1) kali-dev; urgency=medium

  [ Sophie Brun ]
  * Run the tests during the build
  * Add a manpage for faraday
  * Update debian/watch
  * New upstream version 3.9.2
  * Update build-dependencies
  * Refresh patches

  [ Raphaël Hertzog ]
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 15 Oct 2019 11:26:00 +0200

python-faraday (3.8.0-0kali1) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Vcs-* fields for the move to gitlab.com

  [ Sophie Brun ]
  * New upstream version 3.8.0
  * Update all debian/* files for new version
  * Add manpages for new usptream's scripts

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 07 Jun 2019 14:39:43 +0200

python-faraday (3.7.0-0kali1) kali-dev; urgency=medium

  * New upstream version 3.7.0

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 05 Apr 2019 15:03:12 +0200

python-faraday (3.6.0-0kali3) kali-dev; urgency=medium

  * Add a missing depend: python-pip

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 29 Mar 2019 14:57:21 +0100

python-faraday (3.6.0-0kali2) kali-dev; urgency=medium

  * Prompt the password initialization the first time (see 5366)

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 28 Mar 2019 14:38:37 +0100

python-faraday (3.6.0-0kali1) kali-dev; urgency=medium

  * New upstream version 3.6.0

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 22 Feb 2019 10:32:15 +0100

python-faraday (3.5.0-0kali2) kali-dev; urgency=medium

  * Improve database migration in postinst when systemd is not used

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 05 Feb 2019 09:35:55 +0100

python-faraday (3.5.0-0kali1) kali-dev; urgency=medium

  * New upstream version 3.5.0
  * Update dependencies
  * Bump Standards-Version
  * Update lintian-overrides
  * Refresh patches
  * d/rules: fix permissions
  * Migrate database if upgrade
  * Import upstream patch to fix issues: admin creation and dir creation

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 04 Feb 2019 16:24:53 +0100

python-faraday (3.4-0kali1) kali-dev; urgency=medium

  * Update debian/copyright
  * New upstream version 3.4
  * Update email address
  * Add missing depends: python-flask-restless

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 19 Dec 2018 11:33:12 +0100

python-faraday (3.3-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 23 Nov 2018 15:55:57 +0100

python-faraday (3.2-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 24 Oct 2018 10:18:27 +0200

python-faraday (3.1.1-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 25 Sep 2018 10:20:09 +0200

python-faraday (3.0.1-0kali1) kali-dev; urgency=medium

  * Update debian/watch to handle beta version
  * New upstream version 3.0.1
  * Update debian/copyright
  * Update install for new release
  * Refresh patches and remove fix-checkVersion.patch
  * Use debhelper 11 and update Standards-Version
  * Update dependencies
  * Remove build-dep dh-systemd (obsolete package)
  * Remove references to couchdb configuration
  * Add lintian-overrides
  * Clean up to fix several lintian warnings
  * Install the required empty directory migrations/versions
  * Change Architecture to All and clean d/rules
  * Update .service and README.debian for new postgresql DB

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 31 Aug 2018 16:27:34 +0200

python-faraday (2.7.2-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 16 Apr 2018 10:35:32 +0200

python-faraday (2.7.1-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 20 Nov 2017 17:16:58 +0100

python-faraday (2.7-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 09 Nov 2017 11:32:18 +0100

python-faraday (2.6.3-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 18 Oct 2017 10:41:02 +0200

python-faraday (2.6.2-0kali1) kali-experimental; urgency=medium

  * Import new upstream release
  * Use couchdb with erlang17: previous version of couchdb breaks with new
    erlang version 20* in Kali (see bug 4139)

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 07 Sep 2017 08:55:41 +0200

python-faraday (2.5.0-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 30 May 2017 10:29:30 +0200

python-faraday (2.4.0-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 21 Mar 2017 16:34:05 +0100

python-faraday (2.3.1-0kali1) kali-dev; urgency=medium

  * Import new upstream release
  * Add a patch to fix a syntax error

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 09 Feb 2017 09:42:28 +0100

python-faraday (2.2.0-0kali2) kali-dev; urgency=medium

  * Update patch remove-unwanted-checks.diff: keep the DB updates (see
    https://github.com/infobyte/faraday/issues/155)

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 16 Dec 2016 09:29:58 +0100

python-faraday (2.2.0-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 22 Nov 2016 09:48:05 +0100

python-faraday (2.1.0-0kali1) kali-dev; urgency=medium

  * Import new upstream release
  * Drop patch modify-configuration.patch: merged by upstream
  * Update the helper-script to wait for the server
  * Refresh patch remove-unwanted-checks

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 23 Sep 2016 12:06:29 +0200

python-faraday (2.0.0-0kali4) kali-dev; urgency=medium

  * Add a warning in postinst if couchdb_uri not set correctly

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 09 Sep 2016 10:04:27 +0200

python-faraday (2.0.0-0kali3) kali-dev; urgency=medium

  * Add missing dependencies
  * Drop user/password in config by default to simplify configuration

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 25 Aug 2016 14:18:50 +0200

python-faraday (2.0.0-0kali2) kali-experimental; urgency=medium

  * Do not run farday-server in postinst

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 25 Aug 2016 13:55:49 +0200

python-faraday (2.0.0-0kali1) kali-experimental; urgency=medium

  * Import new upstream release
  * Upstream didn't support qt3 anymore: update debian/rules (no more external
    library to download)
  * Add a patch to change the default ports of server
  * Add couchdb in depends
  * Add a .service to manage faraday-server and update the helper-script to
    use this
  * Add a debian/README.debian to explain how to configure

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 18 Aug 2016 09:45:14 +0200

python-faraday (1.0.22-0kali2) kali-dev; urgency=medium

  * Add a patch to copy the data/images directory in the user directory
    (Closes: 3429)

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 20 Jul 2016 12:06:05 +0200

python-faraday (1.0.22-0kali1) kali-dev; urgency=medium

  * Import new upstream release
  * Add depends: python-twisted, python-sqlalchemy
  * Update installation: drop wget in debian/rules and debian/control

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 07 Jul 2016 12:04:20 +0200

python-faraday (1.0.21-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 17 Jun 2016 11:04:18 +0200

python-faraday (1.0.20-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 27 May 2016 11:55:08 +0200

python-faraday (1.0.19-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 04 May 2016 10:37:46 +0200

python-faraday (1.0.18-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 12 Apr 2016 09:48:54 +0200

python-faraday (1.0.17-0kali1) kali-dev; urgency=medium

  * Import new upstream release
  * Refresh patch remove-unwanted-checks

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 03 Mar 2016 11:41:10 +0100

python-faraday (1.0.16-0kali1) kali-dev; urgency=medium

  * Import new upstream release
  * Refresh patch remove-unwanted-checks

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 21 Dec 2015 10:36:53 +0100

python-faraday (1.0.15-0kali1) kali-dev; urgency=medium

  * Import new upstream release
  * Update debian/copyright
  * Refresh patch remove-unwanted-checks
  * Update debian/install

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 20 Oct 2015 10:34:11 +0200

python-faraday (1.0.14-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 18 Sep 2015 11:14:34 +0200

python-faraday (1.0.13-0kali2) kali-dev; urgency=medium

  * Move couchdb to Recommends... couchdb is badly maintained
    and a hard dependency makes it impossible to remove it even
    temporarily.

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 07 Sep 2015 18:09:07 +0200

python-faraday (1.0.13-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 01 Sep 2015 15:23:43 +0200

python-faraday (1.0.12-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 17 Aug 2015 16:00:28 +0200

python-faraday (1.0.11-0kali1) kali-dev; urgency=medium

  * Import new upstream release
  * Increase minimal required version of python-requests

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 13 Jul 2015 15:32:05 +0200

python-faraday (1.0.10-0kalidev2) kali-dev; urgency=medium

  * Update debian/rules for kali-dev: import an other version of qt3

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 26 May 2015 12:00:05 +0200

python-faraday (1.0.10-0kali1) kali; urgency=medium

  * Import new upstream release
  * Update debian files
  * Refresh patch remove-unwanted-checks
  * Drop patch upstream-patch as it's included in new version

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 12 May 2015 15:22:16 +0200

python-faraday (1.0.7-0kali1) kali; urgency=low

  * Initial packaging for kali.
  * debian/rules: as qt3 not available in kali, download a library provided by
    upstream (until a release that will use qt4) and exclude this library of
    dh_shlibdeps processing
  * Add an upstream patch to use the downloaded library qt and fix the qt
    directory
  * Add a patch to remove the unwanted functions: checkDependencies, update,
    checkUpdates.
  * Add depends to python-sip (not included in requirements.txt given by
    upstream)
  * Add minimal version 0.10.1 on depends python-sip
  * Add a helper-script

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 19 Jan 2015 09:24:23 +0100
